basic = require("lib.basic")

currentSeed = 1

local toPlant = {
  [1] = "minecraft:wheat_seed",
  [2] = "minecraft:potato",
  [3] = "minecraft:carrot",
}

function selectSeed()
  for i=1, 16 do
    turtle.select(i)
    itemDetail = turtle.getItemDetail()
    if itemDetail ~= nil then
      if itemDetail.name == toPlant[currentSeed] then
        currentSeed = currentSeed + 1
        return
      end
    end
  end
  print("No seeds left")
end


local function doField()
  turtle.up()

  --do 2 rows of fields
  for i=1, 2 do
    --do 3 rows
    for j=1, 3 do
      --do one row
      for k=1, 2 do
        for l=1, 3 do
          turtle.forward()
          local blockFound, blockData = turtle.inspectDown()
          if blockFound then
            turtle.digDown()
            turtle.suckDown()
            selectSeed()
            turtle.placeDown()
          end
        end
        turtle.forward()
      end
      -- move to next row
      if j%2==1 then
        turtle.turnRight()
        turtle.forward()
        turtle.turnRight()
      else
        turtle.turnLeft()
        turtle.forward()
        turtle.turnLeft()
      end
    end
    turtle.turnLeft()
    turtle.forward()
    turtle.turnRight()
  end
end




local function main()
  doField()
end




main()